Results 1 to 12 of 12

Thread: MainApp not compatible with Core module?!?

  1. #1
    Join Date
    Dec 2007
    Posts
    16
    Thanks
    1
    Thanked 0 Times in 0 Posts

    Default

    Since trying to install the latest Sopcast software, I've twice gotten the error message: ""SopCast MainApp is not compatible with SopCast CORE module. Please download SopCast installation package from www.sopcast.com again and reinstall it!!""

    I did reinstall it from the links at MyP2P (because I can't read the Chinese on sopcast.com's official site) .. and then the module worked! I watched the Coventry v Ipswich game. BUT today (Day Two) it is giving me the SAME ERROR MESSAGE! Luckily I can watch the Derby v Blackburn match via TVAnts.

    I'm using Vista Home Premium OS on an HP Pavilion dv6000 laptop and DSL internet link.

  2. #2
    Join Date
    Apr 2006
    Location
    Everywhere
    Posts
    60,096
    Thanks
    38,092
    Thanked 21,879 Times in 9,586 Posts

  3. #3
    Join Date
    Dec 2007
    Posts
    37
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Default

    I had same problem.It's a problem of compatibility between latest Sopcast and PPmate.
    Rollback to 1.1.2 sopcast version:only in this way your problem will disappear.

  4. #4
    dapxin's Avatar
    dapxin is offline Ex-Mod and Valuable Member - R.I.P
    Join Date
    Dec 2006
    Posts
    6,187
    Thanks
    29
    Thanked 133 Times in 82 Posts

    Default

    Just reinstall.

    It clears after you reinstall soppy again.
    Sit next to a pretty girl for an hour, it seems like a minute. Sit on a red-hot stove for a minute, it seems like an hour. That's relativity.-- Albert Einstein

  5. #5
    Join Date
    Jun 2007
    Posts
    66
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Default

    the problems does always with new version, it cant reinstall all the time.
    How to resolve?

  6. #6
    Join Date
    Dec 2007
    Posts
    102
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Default

    Quote Originally Posted by Manning
    the problems does always with new version, it cant reinstall all the time.
    How to resolve?
    It might be best to take that issue to the people at Sopcast (sopcast.com).

  7. #7
    Join Date
    Jun 2007
    Posts
    66
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Default

    I'VE REINSTALLED 1.2 VERSION BUT AFTER FIRST USE IT UPGRADE AUTOMATICALLY latest version! :(

  8. #8
    Join Date
    Apr 2006
    Location
    Everywhere
    Posts
    60,096
    Thanks
    38,092
    Thanked 21,879 Times in 9,586 Posts

    Default

    Quote Originally Posted by noyb16
    Quote Originally Posted by Manning
    the problems does always with new version, it cant reinstall all the time.
    How to resolve?
    It might be best to take that issue to the people at Sopcast (sopcast.com).
    indeed, it happens when you watch webplayers and external player at the same time, especially out to date webplayers. It works, but uses 1.1.2 module, and externally next time doesn't match then with the new one.

    So: people with Sopcast webplayers need to update their pages I guess...

  9. #9
    Join Date
    Dec 2006
    Posts
    2,595
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Default

    Quote Originally Posted by Yankiwi
    Since trying to install the latest Sopcast software, I've twice gotten the error message: ""SopCast MainApp is not compatible with SopCast CORE module. Please download SopCast installation package from www.sopcast.com again and reinstall it!!""

    I did reinstall it from the links at MyP2P (because I can't read the Chinese on sopcast.com's official site) .. and then the module worked! I watched the Coventry v Ipswich game. BUT today (Day Two) it is giving me the SAME ERROR MESSAGE! Luckily I can watch the Derby v Blackburn match via TVAnts.

    I'm using Vista Home Premium OS on an HP Pavilion dv6000 laptop and DSL internet link.
    Hi Yankiwi,

    Have you downloaded PPMATE latest version by any chance? If yes, they are in conflict to each other..

    Uninstall PPMATE and Sopcast.

    Run a PC registry clean up, and delete everything related to Sopcast and PPmate.

    Download the latest version of sopcast but an older version of PPMATE,
    PPMATE Version 1.7.33 is the ideal one for me

    It should work... Had the same problem yesterday but it is fixed now.



    TILL THE LAST MINUTE OF MY LIFE THIS CLUB WILL BE ALWAYS IN MY HEART! UNITED FOR LIFE!

  10. #10
    Join Date
    Dec 2007
    Posts
    37
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Default

    Quote Originally Posted by Michi
    I had same problem.It's a problem of compatibility between latest Sopcast and PPmate.
    Rollback to 1.1.2 sopcast version:only in this way your problem will disappear.
    ONLY IN THIS WAY WORK.
    I had the same problem.Listen to me.....
    After the installation of Sopcast 1.1.2 ,you have to remove MANUALLY the folder "UPDATE". (on your C:/Sopcast etc etc)
    So your version will be always the 1.1.2 and all your problems will disappear.
    Isn't a problem of PPmate but of sopcast.

  11. #11
    Join Date
    Jan 2008
    Posts
    39
    Thanks
    0
    Thanked 1 Time in 1 Post

    Default

    SopCast and PPMate have issues. PPMate appears to re-register the sopcore.osx and linking fails for the main Sopcast App
    This IS an issue with PPmate as PPmate attempts to bundle a bunch of other controls (tvu, sop, neo,pplive, ppstream etc) in turn changing versions of the ocx or clssid's of the controls.

    Be careful with ppmate as well, it downloads exe files in the background, some of which avast is labeling as trojans. They appear to be comming from the bundled ppstream control. Might be false positives, but I don't trust it.
    Sopcast Forum Admin

  12. #12
    Join Date
    Apr 2006
    Location
    Everywhere
    Posts
    60,096
    Thanks
    38,092
    Thanked 21,879 Times in 9,586 Posts

    Default

    Thanks for clearing up, but in my opinion these errors came when I used IE to watch several webplayers (outdated), used firefox with the sopcast webplayer and the regular Sopcast Application.

    Will check it out again, could also be I used PPMate in the meanwhile which caused this problem. Thanks!

Similar Threads

  1. TCP/IP problem.
    By domaci in forum TVAnts
    Replies: 4
    Last Post: 07-10-2007, 13:43
  2. Replies: 3
    Last Post: 05-08-2007, 23:51
  3. Wednesday 21st March
    By MartK in forum Other sports
    Replies: 0
    Last Post: 21-03-2007, 12:56

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •